import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@ngneat/reactive-forms';
import Quill from 'quill';
import { ValueEdit } from '../../value-edit';
import * as i0 from "@angular/core";
export declare class RichTextEditComponent extends ValueEdit implements OnInit, OnChanges {
    quillEditorChange: EventEmitter<Quill>;
    richTextForm: FormControl<string>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    quillButtonsToTemplateVariables(textTemplate: string): string;
    templateVariablesToQuillButtons(textTemplate: string): string;
    addPageStyling(textTemplate: string): string;
    removePageStyling(textTemplate: string): string;
    equalTemplates(textTemplate1: string, textTemplate2: string): boolean;
    clearTemplateVariables(textTemplate: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichTextEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichTextEditComponent, "ax-rich-text-edit", never, {}, { "quillEditorChange": "quillEditorChange"; }, never, ["*"], false, never>;
}
